Subject: [Ecrit] additional comments on additional-data

From: Randall Gellens <[email-masked]>
Date: Tue, 31 Jul 2012 13:07:47 -0700

We need a way to label the URI, perhaps as a sub-part to the 
'purpose' parameter, to indicate which blocks are available at that 
URI, such as device data.  That can provide a hint as to what is 
attached.  Currently, for an entity handling the call to verify that 
any specific type of data is attached (e.g., crash data in the eCall 
case) requires following every item of additional data that is 
attached and checking its MIME type.  I think a parameter in the 
Call-Info header identifying the type of data would be useful so, for 
example, crash data can be quickly identified and loaded.

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
Whenever you find that you are on the side of the majority, it is
time to reform.                                      --Mark Twain